'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint global-require: 0 */
/* eslint import/no-dynamic-require: 0 */

var _fs = require('fs');

var _path = require('path');

const { DOCUMENT_ROOT } = process.env;
const filename = 'config/model.js';
const configFile = (0, _path.resolve)(process.cwd(), DOCUMENT_ROOT, filename);
const defaultFeatures = require(`../${filename}`);
// eslint-disable-next-line
let features = defaultFeatures;
if ((0, _fs.existsSync)(configFile)) {
  const customFeatures = require(configFile);
  features = _extends({}, defaultFeatures, customFeatures);
}

exports.default = features;