'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

exports.default = (data = {}) => {
  const { code, message, result } = data;
  const json = { code };

  if (message) {
    json.message = message;
  }
  if (!(0, _lodash.isEmpty)(result)) {
    json.data = result;
  }
  return json;
};